2018-10-16 23:59 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000008FSSCPDirectXpublic2007-11-22 13:58
ReporterAD 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
Product Version 
Target VersionFixed in Version 
Summary0000008: Blue lines appear around buttons on interface with 'fix geforce text problem' and 'pcx32' activated
DescriptionBlue lines appear around buttons on the interface with 'fix geforce text problem' and 'pcx32' activated. This does not happen in openGL mode, only Direct3D. If either the 'pcx32' flag or the 'fix gf text problem' tick box is not selected then there is no problem. Other flags do not affect the problem.
Using 12_01_2003_fs2_open_r.exe, launcher v3.3 and media vp356c

an image of the blue lines is included
Additional InformationAs it only happens in D3D, the text cap file is attached
TagsNo tags attached.
Attached Files
  • jpg file icon Image3.jpg (10,718 bytes) 2003-12-16 12:41 -
    jpg file icon Image3.jpg (10,718 bytes) 2003-12-16 12:41 +
  • txt file icon text cap file.txt (19,218 bytes) 2004-01-14 01:46 -
    Operating System: Win XP Service Pack 1
    Memory: 511 MB
    Adapter: NVIDIA GeForce4 MX 440 with AGP8X
    
    Modes:
    
    127: (1280x1024)x32 bit, 60 rr
    126: (1280x960)x32 bit, 72 rr
    125: (1280x960)x32 bit, 70 rr
    124: (1280x960)x32 bit, 60 rr
    123: (1280x768)x32 bit, 85 rr
    122: (1280x768)x32 bit, 75 rr
    121: (1280x768)x32 bit, 72 rr
    120: (1280x768)x32 bit, 70 rr
    119: (1280x768)x32 bit, 60 rr
    118: (1280x720)x32 bit, 85 rr
    117: (1280x720)x32 bit, 75 rr
    116: (1280x720)x32 bit, 72 rr
    115: (1280x720)x32 bit, 70 rr
    114: (1280x720)x32 bit, 60 rr
    113: (1152x864)x32 bit, 75 rr
    112: (1152x864)x32 bit, 72 rr
    111: (1152x864)x32 bit, 70 rr
    110: (1152x864)x32 bit, 60 rr
    109: (1024x768)x32 bit, 85 rr
    108: (1024x768)x32 bit, 75 rr
    107: (1024x768)x32 bit, 72 rr
    106: (1024x768)x32 bit, 70 rr
    105: (1024x768)x32 bit, 60 rr
    104: (848x480)x32 bit, 85 rr
    103: (848x480)x32 bit, 75 rr
    102: (848x480)x32 bit, 72 rr
    101: (848x480)x32 bit, 70 rr
    100: (848x480)x32 bit, 60 rr
    99: (800x600)x32 bit, 85 rr
    98: (800x600)x32 bit, 75 rr
    97: (800x600)x32 bit, 72 rr
    96: (800x600)x32 bit, 70 rr
    95: (800x600)x32 bit, 60 rr
    94: (720x576)x32 bit, 60 rr
    93: (720x480)x32 bit, 60 rr
    92: (640x480)x32 bit, 85 rr
    91: (640x480)x32 bit, 75 rr
    90: (640x480)x32 bit, 72 rr
    89: (640x480)x32 bit, 70 rr
    88: (640x480)x32 bit, 60 rr
    87: (640x400)x32 bit, 75 rr
    86: (640x400)x32 bit, 72 rr
    85: (640x400)x32 bit, 70 rr
    84: (640x400)x32 bit, 60 rr
    83: (512x384)x32 bit, 75 rr
    82: (512x384)x32 bit, 72 rr
    81: (512x384)x32 bit, 70 rr
    80: (512x384)x32 bit, 60 rr
    79: (480x360)x32 bit, 75 rr
    78: (480x360)x32 bit, 72 rr
    77: (480x360)x32 bit, 70 rr
    76: (480x360)x32 bit, 60 rr
    75: (400x300)x32 bit, 75 rr
    74: (400x300)x32 bit, 72 rr
    73: (400x300)x32 bit, 70 rr
    72: (400x300)x32 bit, 60 rr
    71: (320x240)x32 bit, 75 rr
    70: (320x240)x32 bit, 72 rr
    69: (320x240)x32 bit, 70 rr
    68: (320x240)x32 bit, 60 rr
    67: (320x200)x32 bit, 75 rr
    66: (320x200)x32 bit, 72 rr
    65: (320x200)x32 bit, 70 rr
    64: (320x200)x32 bit, 60 rr
    63: (1280x1024)x16 bit, 60 rr
    62: (1280x960)x16 bit, 72 rr
    61: (1280x960)x16 bit, 70 rr
    60: (1280x960)x16 bit, 60 rr
    59: (1280x768)x16 bit, 85 rr
    58: (1280x768)x16 bit, 75 rr
    57: (1280x768)x16 bit, 72 rr
    56: (1280x768)x16 bit, 70 rr
    55: (1280x768)x16 bit, 60 rr
    54: (1280x720)x16 bit, 85 rr
    53: (1280x720)x16 bit, 75 rr
    52: (1280x720)x16 bit, 72 rr
    51: (1280x720)x16 bit, 70 rr
    50: (1280x720)x16 bit, 60 rr
    49: (1152x864)x16 bit, 75 rr
    48: (1152x864)x16 bit, 72 rr
    47: (1152x864)x16 bit, 70 rr
    46: (1152x864)x16 bit, 60 rr
    45: (1024x768)x16 bit, 85 rr
    44: (1024x768)x16 bit, 75 rr
    43: (1024x768)x16 bit, 72 rr
    42: (1024x768)x16 bit, 70 rr
    41: (1024x768)x16 bit, 60 rr
    40: (848x480)x16 bit, 85 rr
    39: (848x480)x16 bit, 75 rr
    38: (848x480)x16 bit, 72 rr
    37: (848x480)x16 bit, 70 rr
    36: (848x480)x16 bit, 60 rr
    35: (800x600)x16 bit, 85 rr
    34: (800x600)x16 bit, 75 rr
    33: (800x600)x16 bit, 72 rr
    32: (800x600)x16 bit, 70 rr
    31: (800x600)x16 bit, 60 rr
    30: (720x576)x16 bit, 60 rr
    29: (720x480)x16 bit, 60 rr
    28: (640x480)x16 bit, 85 rr
    27: (640x480)x16 bit, 75 rr
    26: (640x480)x16 bit, 72 rr
    25: (640x480)x16 bit, 70 rr
    24: (640x480)x16 bit, 60 rr
    23: (640x400)x16 bit, 75 rr
    22: (640x400)x16 bit, 72 rr
    21: (640x400)x16 bit, 70 rr
    20: (640x400)x16 bit, 60 rr
    19: (512x384)x16 bit, 75 rr
    18: (512x384)x16 bit, 72 rr
    17: (512x384)x16 bit, 70 rr
    16: (512x384)x16 bit, 60 rr
    15: (480x360)x16 bit, 75 rr
    14: (480x360)x16 bit, 72 rr
    13: (480x360)x16 bit, 70 rr
    12: (480x360)x16 bit, 60 rr
    11: (400x300)x16 bit, 75 rr
    10: (400x300)x16 bit, 72 rr
    9: (400x300)x16 bit, 70 rr
    8: (400x300)x16 bit, 60 rr
    7: (320x240)x16 bit, 75 rr
    6: (320x240)x16 bit, 72 rr
    5: (320x240)x16 bit, 70 rr
    4: (320x240)x16 bit, 60 rr
    3: (320x200)x16 bit, 75 rr
    2: (320x200)x16 bit, 72 rr
    1: (320x200)x16 bit, 70 rr
    0: (320x200)x16 bit, 60 rr
    
    
    D3D8 Caps:
    
    caps.Caps.D3DCAPS_READ_SCANLINE:                                yes
    
    caps.Caps2.D3DCAPS2_CANCALIBRATEGAMMA:                          no
    caps.Caps2.D3DCAPS2_CANRENDERWINDOWED:                          yes
    caps.Caps2.D3DCAPS2_CANMANAGERESOURCE:                          no
    caps.Caps2.D3DCAPS2_DYNAMICTEXTURES:                            yes
    caps.Caps2.D3DCAPS2_FULLSCREENGAMMA:                            yes
    caps.Caps2.D3DCAPS2_NO2DDURING3DSCENE:                          no
    
    caps.Caps3.D3DCAPS3_ALPHA_FULLSCREEN_FLIP_OR_DISCARD:           yes
    
    caps.PresentationIntervals.D3DPRESENT_INTERVAL_IMMEDIATE:       yes
    caps.PresentationIntervals.D3DPRESENT_INTERVAL_ONE:             yes
    caps.PresentationIntervals.D3DPRESENT_INTERVAL_TWO:             yes
    caps.PresentationIntervals.D3DPRESENT_INTERVAL_THREE:           yes
    caps.PresentationIntervals.D3DPRESENT_INTERVAL_FOUR:            yes
    
    caps.CursorCaps.D3DCURSORCAPS_COLOR:                            yes
    caps.CursorCaps.D3DCURSORCAPS_LOWRES:                           no
    
    caps.DevCaps.D3DDEVCAPS_CANBLTSYSTONONLOCAL:                    yes
    caps.DevCaps.D3DDEVCAPS_CANRENDERAFTERFLIP:                     yes
    caps.DevCaps.D3DDEVCAPS_DRAWPRIMTLVERTEX:                       yes
    caps.DevCaps.D3DDEVCAPS_EXECUTESYSTEMMEMORY:                    yes
    caps.DevCaps.D3DDEVCAPS_EXECUTEVIDEOMEMORY:                     yes
    caps.DevCaps.D3DDEVCAPS_HWRASTERIZATION:                        yes
    caps.DevCaps.D3DDEVCAPS_HWTRANSFORMANDLIGHT:                    yes
    caps.DevCaps.D3DDEVCAPS_NPATCHES:                               no
    caps.DevCaps.D3DDEVCAPS_PUREDEVICE:                             yes
    caps.DevCaps.D3DDEVCAPS_QUINTICRTPATCHES:                       no
    caps.DevCaps.D3DDEVCAPS_RTPATCHES:                              no
    caps.DevCaps.D3DDEVCAPS_RTPATCHHANDLEZERO:                      no
    caps.DevCaps.D3DDEVCAPS_SEPARATETEXTUREMEMORIES:                no
    caps.DevCaps.D3DDEVCAPS_TEXTURENONLOCALVIDMEM:                  yes
    caps.DevCaps.D3DDEVCAPS_TEXTURESYSTEMMEMORY:                    no
    caps.DevCaps.D3DDEVCAPS_TEXTUREVIDEOMEMORY:                     yes
    caps.DevCaps.D3DDEVCAPS_TLVERTEXSYSTEMMEMORY:                   yes
    caps.DevCaps.D3DDEVCAPS_TLVERTEXVIDEOMEMORY:                    yes
    
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_BLENDOP:                    yes
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_CLIPPLANESCALEDPOINTS:      no
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_CLIPTLVERTS:                yes
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_COLORWRITEENABLE:           yes
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_CULLCCW:                    yes
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_CULLCW:                     yes
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_CULLNONE:                   yes
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_LINEPATTERNREP:             no
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_MASKZ:                      yes
    caps.PrimitiveMiscCaps.D3DPMISCCAPS_TSSARGTEMP:                 yes
    
    caps.RasterCaps.D3DPRASTERCAPS_ANISOTROPY:                      yes
    caps.RasterCaps.D3DPRASTERCAPS_ANTIALIASEDGES:                  no
    caps.RasterCaps.D3DPRASTERCAPS_COLORPERSPECTIVE:                yes
    caps.RasterCaps.D3DPRASTERCAPS_DITHER:                          yes
    caps.RasterCaps.D3DPRASTERCAPS_FOGRANGE:                        yes
    caps.RasterCaps.D3DPRASTERCAPS_FOGTABLE:                        yes
    caps.RasterCaps.D3DPRASTERCAPS_FOGVERTEX:                       yes
    caps.RasterCaps.D3DPRASTERCAPS_MIPMAPLODBIAS:                   yes
    caps.RasterCaps.D3DPRASTERCAPS_PAT:                             no
    caps.RasterCaps.D3DPRASTERCAPS_STRETCHBLTMULTISAMPLE:           yes
    caps.RasterCaps.D3DPRASTERCAPS_WBUFFER:                         yes
    caps.RasterCaps.D3DPRASTERCAPS_WFOG:                            yes
    caps.RasterCaps.D3DPRASTERCAPS_ZBIAS:                           yes
    caps.RasterCaps.D3DPRASTERCAPS_ZBUFFERLESSHSR:                  no
    caps.RasterCaps.D3DPRASTERCAPS_ZFOG:                            yes
    caps.RasterCaps.D3DPRASTERCAPS_ZTEST:                           no
    
    caps.ZCmpCaps.D3DPCMPCAPS_ALWAYS:                               yes
    caps.ZCmpCaps.D3DPCMPCAPS_EQUAL:                                yes
    caps.ZCmpCaps.D3DPCMPCAPS_GREATER:                              yes
    caps.ZCmpCaps.D3DPCMPCAPS_GREATEREQUAL:                         yes
    caps.ZCmpCaps.D3DPCMPCAPS_LESS:                                 yes
    caps.ZCmpCaps.D3DPCMPCAPS_LESSEQUAL:                            yes
    caps.ZCmpCaps.D3DPCMPCAPS_NEVER:                                yes
    caps.ZCmpCaps.D3DPCMPCAPS_NOTEQUAL:                             yes
    
    caps.SrcBlendCaps.D3DPBLENDCAPS_BOTHINVSRCALPHA:                yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_BOTHSRCALPHA:                   yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_DESTALPHA:                      yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_DESTCOLOR:                      yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_INVDESTALPHA:                   yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_INVDESTCOLOR:                   yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_INVSRCALPHA:                    yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_INVSRCCOLOR:                    yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_ONE:                            yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_SRCALPHA:                       yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_SRCALPHASAT:                    yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_SRCCOLOR:                       yes
    caps.SrcBlendCaps.D3DPBLENDCAPS_ZERO:                           yes
    
    caps.DestBlendCaps.D3DPBLENDCAPS_BOTHINVSRCALPHA:               yes
    caps.DestBlendCaps.D3DPBLENDCAPS_BOTHSRCALPHA:                  yes
    caps.DestBlendCaps.D3DPBLENDCAPS_DESTALPHA:                     yes
    caps.DestBlendCaps.D3DPBLENDCAPS_DESTCOLOR:                     yes
    caps.DestBlendCaps.D3DPBLENDCAPS_INVDESTALPHA:                  yes
    caps.DestBlendCaps.D3DPBLENDCAPS_INVDESTCOLOR:                  yes
    caps.DestBlendCaps.D3DPBLENDCAPS_INVSRCALPHA:                   yes
    caps.DestBlendCaps.D3DPBLENDCAPS_INVSRCCOLOR:                   yes
    caps.DestBlendCaps.D3DPBLENDCAPS_ONE:                           yes
    caps.DestBlendCaps.D3DPBLENDCAPS_SRCALPHA:                      yes
    caps.DestBlendCaps.D3DPBLENDCAPS_SRCALPHASAT:                   yes
    caps.DestBlendCaps.D3DPBLENDCAPS_SRCCOLOR:                      yes
    caps.DestBlendCaps.D3DPBLENDCAPS_ZERO:                          yes
    
    caps.AlphaCmpCaps.D3DPCMPCAPS_ALWAYS:                           yes
    caps.AlphaCmpCaps.D3DPCMPCAPS_EQUAL:                            yes
    caps.AlphaCmpCaps.D3DPCMPCAPS_GREATER:                          yes
    caps.AlphaCmpCaps.D3DPCMPCAPS_GREATEREQUAL:                     yes
    caps.AlphaCmpCaps.D3DPCMPCAPS_LESS:                             yes
    caps.AlphaCmpCaps.D3DPCMPCAPS_LESSEQUAL:                        yes
    caps.AlphaCmpCaps.D3DPCMPCAPS_NEVER:                            yes
    caps.AlphaCmpCaps.D3DPCMPCAPS_NOTEQUAL:                         yes
    
    caps.ShadeCaps.D3DPSHADECAPS_ALPHAGOURAUDBLEND:                 yes
    caps.ShadeCaps.D3DPSHADECAPS_COLORGOURAUDRGB:                   yes
    caps.ShadeCaps.D3DPSHADECAPS_FOGGOURAUD:                        yes
    caps.ShadeCaps.D3DPSHADECAPS_SPECULARGOURAUDRGB:                yes
    
    caps.TextureCaps.D3DPTEXTURECAPS_ALPHA:                         yes
    caps.TextureCaps.D3DPTEXTURECAPS_ALPHAPALETTE:                  yes
    caps.TextureCaps.D3DPTEXTURECAPS_CUBEMAP:                       yes
    caps.TextureCaps.D3DPTEXTURECAPS_CUBEMAP_POW2:                  yes
    caps.TextureCaps.D3DPTEXTURECAPS_MIPCUBEMAP:                    yes
    caps.TextureCaps.D3DPTEXTURECAPS_MIPMAP:                        yes
    caps.TextureCaps.D3DPTEXTURECAPS_MIPVOLUMEMAP:                  no
    caps.TextureCaps.D3DPTEXTURECAPS_NONPOW2CONDITIONAL:            yes
    caps.TextureCaps.D3DPTEXTURECAPS_PERSPECTIVE:                   yes
    caps.TextureCaps.D3DPTEXTURECAPS_POW2:                          yes
    caps.TextureCaps.D3DPTEXTURECAPS_PROJECTED:                     yes
    caps.TextureCaps.D3DPTEXTURECAPS_SQUAREONLY:                    no
    caps.TextureCaps.D3DPTEXTURECAPS_TEXREPEATNOTSCALEDBYSIZE:      no
    caps.TextureCaps.D3DPTEXTURECAPS_VOLUMEMAP:                     no
    caps.TextureCaps.D3DPTEXTURECAPS_VOLUMEMAP_POW2:                no
    
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MAGFAFLATCUBIC:          no
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MAGFANISOTROPIC:         no
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MAGFGAUSSIANCUBIC:       no
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MAGFLINEAR:              yes
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MAGFPOINT:               yes
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MINFANISOTROPIC:         yes
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MINFLINEAR:              yes
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MINFPOINT:               yes
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MIPFLINEAR:              yes
    caps.TextureFilterCaps.D3DPTFILTERCAPS_MIPFPOINT:               yes
    
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MAGFAFLATCUBIC:      no
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MAGFANISOTROPIC:     no
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MAGFGAUSSIANCUBIC:   no
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MAGFLINEAR:          yes
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MAGFPOINT:           yes
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MINFANISOTROPIC:     no
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MINFLINEAR:          yes
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MINFPOINT:           yes
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MIPFLINEAR:          yes
    caps.CubeTextureFilterCaps.D3DPTFILTERCAPS_MIPFPOINT:           yes
    
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MAGFAFLATCUBIC:    no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MAGFANISOTROPIC:   no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MAGFGAUSSIANCUBIC: no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MAGFLINEAR:        no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MAGFPOINT:         no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MINFANISOTROPIC:   no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MINFLINEAR:        no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MINFPOINT:         no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MIPFLINEAR:        no
    caps.VolumeTextureFilterCaps.D3DPTFILTERCAPS_MIPFPOINT:         no
    
    caps.TextureAddressCaps.D3DPTADDRESSCAPS_BORDER:                no
    caps.TextureAddressCaps.D3DPTADDRESSCAPS_CLAMP:                 yes
    caps.TextureAddressCaps.D3DPTADDRESSCAPS_INDEPENDENTUV:         yes
    caps.TextureAddressCaps.D3DPTADDRESSCAPS_MIRROR:                yes
    caps.TextureAddressCaps.D3DPTADDRESSCAPS_MIRRORONCE:            no
    caps.TextureAddressCaps.D3DPTADDRESSCAPS_WRAP:                  yes
    
    caps.VolumeTextureAddressCaps.D3DPTADDRESSCAPS_BORDER:          no
    caps.VolumeTextureAddressCaps.D3DPTADDRESSCAPS_CLAMP:           no
    caps.VolumeTextureAddressCaps.D3DPTADDRESSCAPS_INDEPENDENTUV:   no
    caps.VolumeTextureAddressCaps.D3DPTADDRESSCAPS_MIRROR:          no
    caps.VolumeTextureAddressCaps.D3DPTADDRESSCAPS_MIRRORONCE:      no
    caps.VolumeTextureAddressCaps.D3DPTADDRESSCAPS_WRAP:            no
    
    caps.LineCaps.D3DLINECAPS_ALPHACMP:                             yes
    caps.LineCaps.D3DLINECAPS_BLEND:                                yes
    caps.LineCaps.D3DLINECAPS_FOG:                                  yes
    caps.LineCaps.D3DLINECAPS_TEXTURE:                              yes
    caps.LineCaps.D3DLINECAPS_ZTEST:                                yes
    
    Max texture width:  2048
    Max texture height: 2048
    Max volume extent:  0
    
    Max texture repeat: 8192
    Max texture aspect: 2048
    Max anisotropy:     2
    Max vertex W:       10000000000.000000
    
    Guard band (l,t,r,b): -100000000.000000 -100000000.000000 100000000.000000 100000000.000000
    
    Extents adjust: 0
    
    caps.StencilCaps.D3DSTENCILCAPS_DECR:                           yes
    caps.StencilCaps.D3DSTENCILCAPS_DECRSAT:                        yes
    caps.StencilCaps.D3DSTENCILCAPS_INCR:                           yes
    caps.StencilCaps.D3DSTENCILCAPS_INCRSAT:                        yes
    caps.StencilCaps.D3DSTENCILCAPS_INVERT:                         yes
    caps.StencilCaps.D3DSTENCILCAPS_KEEP:                           yes
    caps.StencilCaps.D3DSTENCILCAPS_REPLACE:                        yes
    caps.StencilCaps.D3DSTENCILCAPS_ZERO:                           yes
    
    caps.FVFCaps.D3DFVFCAPS_DONOTSTRIPELEMENTS:                     yes
    caps.FVFCaps.D3DFVFCAPS_PSIZE:                                  no
    caps.FVFCaps.D3DFVFCAPS_TEXCOORDCOUNTMASK:                      yes
    
    caps.TextureOpCaps.D3DTEXOPCAPS_ADD:                            yes
    caps.TextureOpCaps.D3DTEXOPCAPS_ADDSIGNED:                      yes
    caps.TextureOpCaps.D3DTEXOPCAPS_ADDSIGNED2X:                    yes
    caps.TextureOpCaps.D3DTEXOPCAPS_ADDSMOOTH:                      yes
    caps.TextureOpCaps.D3DTEXOPCAPS_BLENDCURRENTALPHA:              yes
    caps.TextureOpCaps.D3DTEXOPCAPS_BLENDDIFFUSEALPHA:              yes
    caps.TextureOpCaps.D3DTEXOPCAPS_BLENDFACTORALPHA:               yes
    caps.TextureOpCaps.D3DTEXOPCAPS_BLENDTEXTUREALPHA:              yes
    caps.TextureOpCaps.D3DTEXOPCAPS_BLENDTEXTUREALPHAPM:            yes
    caps.TextureOpCaps.D3DTEXOPCAPS_BUMPENVMAP:                     no
    caps.TextureOpCaps.D3DTEXOPCAPS_BUMPENVMAPLUMINANCE:            no
    caps.TextureOpCaps.D3DTEXOPCAPS_DISABLE:                        yes
    caps.TextureOpCaps.D3DTEXOPCAPS_DOTPRODUCT3:                    yes
    caps.TextureOpCaps.D3DTEXOPCAPS_LERP:                           yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MODULATE:                       yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MODULATE2X:                     yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MODULATE4X:                     yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MODULATEALPHA_ADDCOLOR:         yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MODULATECOLOR_ADDALPHA:         yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MODULATEINVALPHA_ADDCOLOR:      yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MODULATEINVCOLOR_ADDALPHA:      yes
    caps.TextureOpCaps.D3DTEXOPCAPS_MULTIPLYADD:                    yes
    caps.TextureOpCaps.D3DTEXOPCAPS_PREMODULATE:                    no
    caps.TextureOpCaps.D3DTEXOPCAPS_SELECTARG1:                     yes
    caps.TextureOpCaps.D3DTEXOPCAPS_SELECTARG2:                     yes
    caps.TextureOpCaps.D3DTEXOPCAPS_SUBTRACT:                       yes
    
    Max texture blend stages:  8
    Max simultaneous textures: 2
    
    caps.VertexProcessingCaps.D3DVTXPCAPS_DIRECTIONALLIGHTS:        yes
    caps.VertexProcessingCaps.D3DVTXPCAPS_LOCALVIEWER:              yes
    caps.VertexProcessingCaps.D3DVTXPCAPS_MATERIALSOURCE7:          no
    caps.VertexProcessingCaps.D3DVTXPCAPS_POSITIONALLIGHTS:         yes
    caps.VertexProcessingCaps.D3DVTXPCAPS_TEXGEN:                   yes
    caps.VertexProcessingCaps.D3DVTXPCAPS_TWEENING:                 no
    caps.VertexProcessingCaps.D3DVTXPCAPS_NO_VSDT_UBYTE4:           no
    
    Max active lights:             8
    Max user clip planes:          0
    Max vertex blend matrices:     2
    Max vertex blend matrix index: 0
    
    Max point size: 64.000000
    Max Prim count:    65535
    Max Vertrx index:  65535
    Max Streams:       16
    Max Stream stride: 255
    
    Vertex shader version:   1.1
    Max vertex shader const: 96
    
    Pixel shader version:    0.0
    Max pixel shader value:  0
    txt file icon text cap file.txt (19,218 bytes) 2004-01-14 01:46 +
  • jpg file icon Image2.jpg (62,733 bytes) 2005-11-06 09:54 -
    jpg file icon Image2.jpg (62,733 bytes) 2005-11-06 09:54 +

-Relationships
has duplicate 0000154closedRandomTiger PCX files with transparency displayed offset with AA modes 
+Relationships

-Notes

~0000005

AD (reporter)

Just found that setting antialiasing to 'D3DMULTISMAPLE_NONE' stops the blue lines from appearing

~0000025

Goober5000 (administrator)

Moved the text cap file to an attachment, since it was huge.

~0000029

AD (reporter)

Would have done that but I didn't realise that you could have more than 1 attachment.

~0000030

Kazan (developer)

I think this bug should be assigned to bobboau since he's our D3D guy

~0000100

RandomTiger (developer)

Only happens when using AA. This is an AA bug.

~0000708

Kazan (developer)

is this fixed?

~0000721

RandomTiger (developer)

No

~0001888

administrator (administrator)

If this is fixed, please close it.

~0001900

Lightspeed (reporter)

It isn't, though.

~0001907

Bobboau (developer)

it isn't fixed, but there is no real easy way to fix it, both PCX32 and anti-aliasing are consitered experimental IIRC.

however I have a feeling that the PCX32 comand has more to do with the problem than the other one.

~0001975

RandomTiger (developer)

I dont see why.
PCX32 just gives the image more depth.
AA draws on information that might be outside the boundery of the texture.
Why its blue I have no idea.

~0001976

karajorma (administrator)

What feedback is needed? I can reproduce this particular error pretty easily whenever I turn on AA and -PCX32

~0001981

Lightspeed (reporter)

Everyone can reproduce it.

~0003759

WMCoolmon (developer)

I can't reproduce this bug anymore. Can anyone?

~0003765

redmenace (manager)

Reminder sent to karajorma

Are you still able to reproduce this bug?

~0003772

AD (reporter)

Last edited: 2005-11-06 09:55

I can't reproduce it exactly, but I can get something similar with antialiasing and 'fix font distortion problem' on. A pic of what I mean is attached(Image2.jpg) and I'm using 3.6.7 p4 build.

The thing circled in green moves with the cursor and the thing circled in blue appears when the the mouse is over the select button.

edited on: 11-06-05 09:55

~0005483

taylor (administrator)

* BUMP *

OpenGL has some code which could resolve this issue for D3D (texture repeat/clamping issues with off-int uv addressing and clipping) but if no one knows how to do the same thing in the D3D then that doesn't help anyone. With D3D unsupported, someone will have to step up and take this, or we close it.

~0005515

taylor (administrator)

Closing due to lack of interest from anyone. This can be reopened if someone will step forward and work on the D3D code. Likely this is the same issue as what was seen with OpenGL so simply dealing properly with repeating/uv-coords on interface graphics should fix it.

Closered.
+Notes

-Issue History
Date Modified Username Field Change
2003-12-16 12:41 AD New Issue
2003-12-16 12:41 AD File Added: Image3.jpg
2003-12-16 13:02 AD Note Added: 0000005
2004-01-14 01:46 Goober5000 Additional Information Updated
2004-01-14 01:46 Goober5000 File Added: text cap file.txt
2004-01-14 01:46 Goober5000 Note Added: 0000025
2004-01-14 13:02 AD Note Added: 0000029
2004-01-14 13:16 Kazan Note Added: 0000030
2004-01-18 11:19 RandomTiger Status new => assigned
2004-01-18 11:19 RandomTiger Assigned To => RandomTiger
2004-01-25 09:34 RandomTiger Note Added: 0000100
2004-03-27 18:37 RandomTiger Relationship added has duplicate 0000154
2004-04-06 21:17 Kazan Note Added: 0000708
2004-04-07 02:40 RandomTiger Note Added: 0000721
2005-03-14 08:41 administrator Note Added: 0001888
2005-03-14 08:41 administrator Assigned To RandomTiger => Bobboau
2005-03-14 08:45 administrator Status assigned => feedback
2005-03-14 09:16 Lightspeed Note Added: 0001900
2005-03-14 17:36 Bobboau Note Added: 0001907
2005-03-16 15:33 RandomTiger Note Added: 0001975
2005-03-17 10:04 karajorma Note Added: 0001976
2005-03-17 15:44 Lightspeed Note Added: 0001981
2005-11-05 03:02 WMCoolmon Note Added: 0003759
2005-11-05 22:01 redmenace Note Added: 0003765
2005-11-06 09:54 AD File Added: Image2.jpg
2005-11-06 09:55 AD Note Added: 0003772
2005-11-06 09:55 AD Note Edited: 0003772
2006-05-08 00:22 taylor Note Added: 0005483
2006-05-13 16:40 taylor Status feedback => closed
2006-05-13 16:40 taylor Note Added: 0005515
2006-10-26 23:27 Goober5000 Assigned To Bobboau => taylor
2006-10-26 23:27 Goober5000 Resolution open => suspended
2007-11-22 13:58 taylor Resolution suspended => won't fix
+Issue History